Skip to main content
POST
/
knowledge_graph
/
neo4j
/
Train Neo4J Knowledge Graph
curl --request POST \
  --url https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/ \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form file='@example-file' \
  --form 'schema_prompt=<string>' \
  --form 'extra_info=<string>'
import requests

url = "https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"schema_prompt": "<string>",
"extra_info": "<string>"
}
headers = {"x-api-key": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('schema_prompt', '<string>');
form.append('extra_info', '<string>');

const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

options.body = form;

fetch('https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Knowledge Graph trained successfully using Neo4J.",
  "rag_id": "6848ff3c4c291b4bef798e0c",
  "nodes_created": 142,
  "relationships_created": 315
}
{
"detail": "Invalid permission"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

rag_id
string
required

The ID of the RAG system to train

Body

multipart/form-data
file
file
required

The document file (PDF or DOCX) to upload

schema_prompt
string

Allowed nodes and relationships for the knowledge graph

extra_info
string

Optional metadata or config in JSON string format

Response

Knowledge graph training completed successfully

message
string
Example:

"Knowledge Graph trained successfully using Neo4J."

rag_id
string
Example:

"6848ff3c4c291b4bef798e0c"

nodes_created
integer
Example:

142

relationships_created
integer
Example:

315